
Redmine - Defect #16548

Issue Start Date, Due Date problem

2014-04-07 13:41 - lee han

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I attached screen shot.

History

#1 - 2014-04-08 01:48 - lee han

Added more information.

Environment:

Redmine version                2.4.4.stable

Ruby version                   2.1.1-p76 (2014-02-24) [x86_64-linux]

Rails version                  3.2.17

Environment                    production

Database adapter               PostgreSQL (9.1)

SCM:

Subversion                     1.7.14

#2 - 2014-04-08 03:41 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

It seems you use plugin or modification.

Clean Redmine start and dute date format are 'YYYY-MM-DD'.

#3 - 2014-04-08 03:44 - Toshi MARUYAMA

lee han wrote:

Ruby version                   2.1.1-p76 (2014-02-24) [x86_64-linux]

 Ruby 2.1.1 is broken.

See #16194.

#4 - 2014-04-08 10:49 - lee han

Toshi MARUYAMA wrote:

lee han wrote:

Ruby version                   2.1.1-p76 (2014-02-24) [x86_64-linux]

 Ruby 2.1.1 is broken.

See #16194.

 I downgrade ruby to 2.0.0. but still problem..

Redmine version                2.4.4.stable

Ruby version                   2.0.0-p451 (2014-02-24) [x86_64-linux]

Rails version                  3.2.17

Environment                    production

Database adapter               PostgreSQL
SCM:

Subversion                     1.7.14

#5 - 2014-04-08 10:49 - lee han

- Status changed from Closed to Reopened

#6 - 2014-04-08 10:51 - lee han

I don't use any plugin or modification...

Toshi MARUYAMA wrote:

It seems you use plugin or modification.

Clean Redmine start and dute date format are 'YYYY-MM-DD'.

#7 - 2014-04-08 18:08 - Toshi MARUYAMA

- Status changed from Reopened to Needs feedback

- Resolution deleted (Invalid)

Check your issues table start_date and due_date types are date.

redmine_test=# \d issues

                                        Table "public.issues" 

      Column      |            Type             |                      Modifiers                      

------------------+-----------------------------+-----------------------------------------------------

 id               | integer                     | not null default nextval('issues_id_seq'::regclass)

 tracker_id       | integer                     | not null

 project_id       | integer                     | not null

 subject          | character varying(255)      | not null default ''::character varying

 description      | text                        | 

 due_date         | date                        | 

 category_id      | integer                     | 

 status_id        | integer                     | not null

 assigned_to_id   | integer                     | 

 priority_id      | integer                     | not null

 fixed_version_id | integer                     | 

 author_id        | integer                     | not null

 lock_version     | integer                     | not null default 0

 created_on       | timestamp without time zone | 

 updated_on       | timestamp without time zone | 

 start_date       | date                        | 

 done_ratio       | integer                     | not null default 0

 estimated_hours  | double precision            | 

 parent_id        | integer                     | 

 root_id          | integer                     | 

 lft              | integer                     | 

 rgt              | integer                     | 

 is_private       | boolean                     | not null default false

 closed_on        | timestamp without time zone | 

Indexes:

    "issues_pkey" PRIMARY KEY, btree (id)

    "index_issues_on_assigned_to_id" btree (assigned_to_id)

    "index_issues_on_author_id" btree (author_id)

    "index_issues_on_category_id" btree (category_id)

    "index_issues_on_created_on" btree (created_on)

    "index_issues_on_fixed_version_id" btree (fixed_version_id)

    "index_issues_on_priority_id" btree (priority_id)

    "index_issues_on_root_id_and_lft_and_rgt" btree (root_id, lft, rgt)

    "index_issues_on_status_id" btree (status_id)

    "index_issues_on_tracker_id" btree (tracker_id)

    "issues_project_id" btree (project_id)

#8 - 2014-04-09 04:04 - lee han

Toshi MARUYAMA wrote:

Check your issues table start_date and due_date types are date.

[...]
 Oh!!!!!! thanks for your advice!

problem is due_date, start_date column type!!

My DB is setting timestamp type...

so, I change column type. And work very well~~

#9 - 2014-04-09 04:51 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.

Files

date problem.png 37.6 KB 2014-04-07 lee han
